/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

package de.fhstralsund.catsit.io.excel.writer;

/**
 * A header entry in the excel sheet.
 * @author Sebastian Glöde
 * 
 */
public class ExcelHeaderEntry {
	/**
	 * the title.
	 */
	private String title;
	/**
	 * the unit.
	 */
	private String unit;
	/**
	 * the comment.
	 */
	private String comment;

	/**
	 * Initializes the header entry.
	 * 
	 * @param title
	 * @param unit
	 * @param comment
	 */
	public ExcelHeaderEntry(String title, String unit, String comment) {
		if (title == null || title.isEmpty()) {
			throw new IllegalArgumentException("title mustn't be null or empty");
		}

		this.title = title;

		if (unit == null || unit.isEmpty()) {
			this.unit = "";
		} else {
			this.unit = unit;
		}

		if (comment == null || comment.isEmpty()) {
			this.comment = "";
		} else {
			this.comment = comment;
		}
	}
	
	/**
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * @return the unit
	 */
	public String getUnit() {
		return unit;
	}

	/**
	 * @return the comment
	 */
	public String getComment() {
		return comment;
	}


}
