/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

package de.fhstralsund.catsit.io.xml;

import java.util.Iterator;
import java.util.List;

import de.fhstralsund.catsit.base.MetastaseException;

/**
 * Exception if any failure occurs within the parse process.
 * 
 * @author Michael Suhr
 */
public class ParserException extends MetastaseException {
    private static final long serialVersionUID = -5236881557258982289L;

    public ParserException(String message) {
        super(message);
    }
    public ParserException(List<String> messages) {
        super(getMessage(messages));
    }
    
    public ParserException(Throwable cause) {
		super(cause);
	}
    
    public ParserException(String message, Throwable cause) {
		super(message, cause);
	}
    
    private static String getMessage(List<String> messages) {
        String message = "";
        Iterator<String> itMessage = messages.iterator();
        while (itMessage.hasNext()) {
            message += itMessage.next() + "\n";
        }
        return message.trim();
    }
}
