/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

package de.fhstralsund.catsit.base;

import de.fhstralsund.catsit.base.conditions.AllTestsConditions;
import de.fhstralsund.catsit.base.distribution.AllTestsDistribution;
import de.fhstralsund.catsit.base.eventactions.AllTestsEventActions;
import de.fhstralsund.catsit.base.treatments.AllTestsTreatments;
import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * 
 * @author Gero Wedemann, Anja Bethge
 *
 */
public class AllTestsBase {

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for test.base");
		//$JUnit-BEGIN$
		suite.addTestSuite(TestAbstractCompartment.class);
		suite.addTestSuite(TestAbstractEvent.class);
		suite.addTestSuite(TestContinuousCompartment.class);
		suite.addTestSuite(TestDiscreteCompartment.class);
		suite.addTestSuite(TestDiscreteCompartmentType.class);
		suite.addTestSuite(TestCompartmentInventory.class);
		suite.addTestSuite(TestGlobalEvent.class);
		suite.addTestSuite(TestLocalEvent.class);
		suite.addTestSuite(TestHostOrgan.class);
		suite.addTestSuite(TestScheduledCompartmentType.class);
		suite.addTest(AllTestsDistribution.suite());
		suite.addTest(AllTestsEventActions.suite());
		suite.addTest(AllTestsConditions.suite());
		suite.addTest(AllTestsTreatments.suite());
		//$JUnit-END$
		return suite;
	}

}
