/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

package de.fhstralsund.catsit.base;


import junit.framework.TestCase;
import de.fhstralsund.catsit.base.Event;
import de.fhstralsund.catsit.base.mockobjects.MockEvent;
import de.fhstralsund.catsit.support.functions.ConstantFunction;

public class TestAbstractEvent extends TestCase {

	public void testIt(){	
		
		//equals and hashCode
		Event e = new MockEvent(0.);
		
		assertTrue(e.equals(e));
		assertTrue(e.hashCode() == e.hashCode());
		assertTrue(e.equals(new MockEvent(0.)));
		assertTrue(e.hashCode() == new MockEvent(0.).hashCode());
		
		assertFalse(e.equals(null));
		assertFalse(e.equals(new ConstantFunction()));
		assertFalse(e.hashCode() == new ConstantFunction().hashCode());
		assertFalse(e.equals(new MockEvent(1.)));
		assertFalse(e.hashCode() == new MockEvent(1.).hashCode());
		
		//same 
		assertTrue(e.sameAs(e));
		assertFalse(e.sameAs(new MockEvent(0.)));
		
		//get time
		assertEquals(0., e.getTime());
	}
	
	
}
