/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

package de.fhstralsund.catsit.base.eventactions.localeventactions;

import junit.framework.TestCase;
import de.fhstralsund.catsit.base.eventactions.localeventactions.LocalEventAction;
import de.fhstralsund.catsit.base.eventactions.localeventactions.mockobjects.MockLocalEventAction;
import de.fhstralsund.catsit.support.functions.ConstantFunction;

public class TestLocalEventAction extends TestCase {
	
	
	public void testEqualsAndHashCode(){
		LocalEventAction lea = new MockLocalEventAction("123");
		assertEquals("123", lea.getName());
		
		assertFalse(lea.equals(null));
		assertFalse(lea.equals(new ConstantFunction()));
		assertFalse(lea.equals(new MockLocalEventAction("abc")));
		
		assertTrue(lea.equals(lea));
		assertTrue(lea.equals(new MockLocalEventAction("123")));
		
		lea = new MockLocalEventAction(null);
		assertTrue(lea.equals(new MockLocalEventAction(null)));
		assertFalse(lea.equals(new MockLocalEventAction("123")));
		
		//hash code
		lea = new MockLocalEventAction("123");
		
		assertFalse(lea.hashCode() == new ConstantFunction().hashCode());
		assertFalse(lea.hashCode() == new MockLocalEventAction("abc").hashCode());
		
		assertTrue(lea.hashCode() == lea.hashCode());
		assertTrue(lea.hashCode() == new MockLocalEventAction("123").hashCode());
		
		lea = new MockLocalEventAction(null);
		assertNull(lea.getName());
		assertTrue(lea.hashCode() == new MockLocalEventAction(null).hashCode());
		assertFalse(lea.hashCode() == new MockLocalEventAction("123").hashCode());
	}
	
}
