/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

package de.fhstralsund.catsit.base.eventactions.localeventactions.mockobjects;

import de.fhstralsund.catsit.base.ContinuousCompartment;
import de.fhstralsund.catsit.base.MetastaseException;
import de.fhstralsund.catsit.support.functions.ColonizationRate;
import de.fhstralsund.catsit.support.functions.Function;
import de.fhstralsund.catsit.support.functions.LinearFunction;

public class MockContinuousCompartment extends ContinuousCompartment {

	public MockContinuousCompartment() throws MetastaseException {
		super(0., "mock", new MockHostOrgan(), new LinearFunction(1*60.*24., 0), null);
	}
	
	public MockContinuousCompartment(String name) throws MetastaseException {
		super(0., name, new MockHostOrgan(), new LinearFunction(1*60.*24., 0), null);
	}
	
	
	public MockContinuousCompartment(ColonizationRate rate) throws MetastaseException {
		super(0., "mock", new MockHostOrgan(), new LinearFunction(1*60.*24., 0), rate);
	}
	
	public MockContinuousCompartment(Function function, ColonizationRate rate) throws MetastaseException {
		super(0., "mock", new MockHostOrgan(), function, rate);
	}
	

}
