/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

package de.fhstralsund.catsit.base.mockobjects;

import de.fhstralsund.catsit.base.conditions.Condition;

public class MockCondition extends Condition {

	private int equals;
	
	public MockCondition(int conditionTest) {
		super(conditionTest);
		this.equals = -1;
	}
	
	public MockCondition(boolean equals) {
		super(Condition.GREATER_EQUALS);
		if(equals)this.equals=1;
		else this.equals=0;
	}

	@Override
	public boolean isConditionTrue(double currentTime, long size) {
		//nothing to do here, just return false
		return false;
	}

	@Override
	public boolean equals(Object obj) {
		if(equals < 0)return super.equals(obj);
		else if(equals == 0)return false;
		else return true;
	}
	
	@Override
	public String toString() {
		return "MockCondition";
	}

}
