/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

package de.fhstralsund.catsit.base.treatments;

import de.fhstralsund.catsit.base.treatments.ResectionTreatment;
import de.fhstralsund.catsit.base.treatments.TreatmentList;
import de.fhstralsund.catsit.support.functions.ConstantFunction;
import junit.framework.TestCase;

public class TestResectionTreatment extends TestCase {

	protected void setUp() throws Exception {
		TreatmentList.reset();
	}
	
	@Override
	protected void tearDown() throws Exception {
		TreatmentList.reset();
	}
	
	public void testIt(){
		ResectionTreatment rt = new ResectionTreatment(0.);
		ResectionTreatment rt2 = new ResectionTreatment(0.);
		ResectionTreatment rt3 = new ResectionTreatment(0.7);
		
		assertEquals(0., rt.getRemnantFraction());
		assertEquals(0.7, rt3.getRemnantFraction());
		
		assertEquals(rt, rt);		
		assertEquals(rt, rt2);
		assertEquals(rt3, new ResectionTreatment(0.7));
		assertFalse(rt.equals(rt3));
		assertFalse(rt.equals(new ConstantFunction()));
		assertFalse(rt.equals(null));
		
		assertEquals("ResectionTreatment", rt.toString());
	}

}
