/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

package de.fhstralsund.catsit.io.excel;

import junit.framework.TestCase;
import de.fhstralsund.catsit.io.excel.writer.ExcelHeaderEntry;

public class TestExcelHeaderEntry extends TestCase {

	
	public void testIt(){
		
		try {
			new ExcelHeaderEntry(null, null, null); //a title is obligatory
			fail("An exception should have been thrown.");
		} catch (IllegalArgumentException e) {
			// we are supposed to be here
		}
		
		try {
			new ExcelHeaderEntry("", null, null); //a title is obligatory
			fail("An exception should have been thrown.");
		} catch (IllegalArgumentException e) {
			// we are supposed to be here
		}
		
		
		ExcelHeaderEntry entry = new ExcelHeaderEntry("title", null, null);
		assertEquals("title", entry.getTitle());
		assertEquals("", entry.getUnit());
		assertEquals("", entry.getComment());
		
		entry = new ExcelHeaderEntry("title", "", "");
		assertEquals("title", entry.getTitle());
		assertEquals("", entry.getUnit());
		assertEquals("", entry.getComment());
		
		entry = new ExcelHeaderEntry("title", "unit", "comment");
		assertEquals("title", entry.getTitle());
		assertEquals("unit", entry.getUnit());
		assertEquals("comment", entry.getComment());
		
	}
	
}
