/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

/**
 * 
 */
package de.fhstralsund.catsit.io.xml;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import de.fhstralsund.catsit.base.DiscreteCompartmentType;
import de.fhstralsund.catsit.base.conditions.Condition;
import de.fhstralsund.catsit.io.xml.MPMLParserImpl;

/**
 * This Mock is used in test cases with an extra set of methods.
 * 
 * @author Michael Suhr
 * 
 */
public class MockMPMLParser extends MPMLParserImpl {

    public MockMPMLParser() {
        super();
    }

    public void addTreatment(Condition start, Condition end, DiscreteCompartmentType type) {
        treatments.add(new Treatment(start, end, type));
    }

    public List<Condition> getStartCondtions() {
        List<Condition> starts = new ArrayList<Condition>();
        for (Iterator<Treatment> iterator = treatments.iterator(); iterator.hasNext();) {
            Treatment treat = iterator.next();
            starts.add(treat.getStart());
        }
        return starts;
    }
}
