/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

package de.fhstralsund.catsit.io.xml.builder;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * Tests all Builder classes.
 * @author Michael
 *
 */
public class AllTestsBuilder {

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for metastase.test.support.xml.builder");
		//$JUnit-BEGIN$
		suite.addTestSuite(TestFunctionBuilder.class);
		suite.addTestSuite(TestDistributionBuilder.class);
        suite.addTestSuite(TestCompartmentTypeBuilder.class);
        suite.addTestSuite(TestEventActionBuilder.class);
        suite.addTestSuite(TestHostOrganBuilder.class);
        suite.addTestSuite(TestGlobalTreatmentBuilder.class);
		//$JUnit-END$
		return suite;
	}

}
