/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

package de.fhstralsund.catsit.machine;

import de.fhstralsund.catsit.machine.Technical;
import junit.framework.TestCase;

public class TestTechnical extends TestCase {

	public void testTechnical(){
		
		Technical t = new Technical(1500, 2, false);
		
		assertEquals(1500, t.getDuration());
		assertEquals(2160000, t.getDurationInMinutes());		
		assertEquals(2.0, t.getTimeStepsForSaving());
		assertEquals(2880.0, t.getTimeStepsForSavingInMinutes());		
		assertFalse(t.isDebugMode());
		
		t = new Technical(254, 1, true);
		
		assertEquals(254, t.getDuration());
		assertEquals(365760, t.getDurationInMinutes());		
		assertEquals(1.0, t.getTimeStepsForSaving());
		assertEquals(1440.0, t.getTimeStepsForSavingInMinutes());		
		assertTrue(t.isDebugMode());
	}
	
}
