/*
	--------------------------------------------------------------------------------
	CaTSiT - A simulation tool for metastatic progression and treatments
	--------------------------------------------------------------------------------
	
	Copyright (C) 2014  Gero Wedemann, Anja Bethge
	
	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
	Contact: anja.bethge@fh-stralsund.de
	         gero.wedemann@fh-stralsund.de
	
	
	--------------------------------------------------------------------------------
	Installation and documentation 
	--------------------------------------------------------------------------------
	
	Please visit http://www.bioinformatics.fh-stralsund.de/catsit/ 
 */

package de.fhstralsund.catsit.support.functions;

import junit.framework.Test;
import junit.framework.TestSuite;
import de.fhstralsund.catsit.support.functions.chemo.AllTestsChemo;
import de.fhstralsund.catsit.support.functions.chemo.derivations.AllTestsDerivations;
import de.fhstralsund.catsit.support.functions.dosimetry.TestMIRDMeanAbsorbedDose;

/**
 * 
 * @author Anja Bethge
 *
 */
public class AllTestsFunctions {

	public static Test suite() {
		TestSuite suite = new TestSuite("Test for test.support.functions");
		//$JUnit-BEGIN$
		suite.addTestSuite(TestConstantFunction.class);
		suite.addTestSuite(TestExponentialFunction.class);
		suite.addTestSuite(TestGompertzFunction.class);
		suite.addTestSuite(TestLinearFunction.class);
		suite.addTestSuite(TestPowerFunction.class);
		suite.addTestSuite(TestColonisationRate.class);
		suite.addTestSuite(TestLogFunction.class);
		suite.addTestSuite(TestSurvivalRate.class);
		suite.addTestSuite(TestPiecewiseGrowthFunction.class);
		
		suite.addTest(AllTestsChemo.suite());
		suite.addTest(AllTestsDerivations.suite());		
		suite.addTestSuite(TestMIRDMeanAbsorbedDose.class);
		//$JUnit-END$
		return suite;
	}

}
